Description: size_t vars need %d in printf. %*s needs int
Author: Tzafrir Cohen <tzafrir@debian.org>
--- a/examples/hcal/local_functions.c
+++ b/examples/hcal/local_functions.c
@@ -251,11 +251,11 @@ void revstr( char *source, const size_t
 
 #define DEBUG 0
 #if DEBUG
-printf("\nrevstr: entry: sourcelen = %ld, source = %s\n",source_len, source);
+printf("\nrevstr: entry: sourcelen = %zd, source = %s\n",source_len, source);
 #endif
 
 	if (source == NULL) {error(0,0,"revstr: source buffer pointer is NULL"); exit(0);};
-	if (source_len <= 0) {error(0,0,"revstr: source_len parameter invalid, %ld",source_len); exit(0);};
+	if (source_len <= 0) {error(0,0,"revstr: source_len parameter invalid, %zd",source_len); exit(0);};
 
 	size_t i,j;
 	char *temp_buff;
@@ -276,7 +276,7 @@ printf("\nrevstr: entry: sourcelen = %ld
 	memcpy(source, temp_buff, source_len);
 	source[source_len] = '\0';
 #if DEBUG
-printf("\nrevstr: before free(tempbuff): sourcelen = %ld, source = %s\n",source_len, source);
+printf("\nrevstr: before free(tempbuff): sourcelen = %zd, source = %s\n",source_len, source);
 #endif
 	free(temp_buff);
 	return;
